POST /v1/reservation/cancel

API which will do the cancellation of the given reservation.

application/json

Body Required

  • reservationId integer(int64) Required

    Reservation ID to be cancelled.

  • cancelReason string Required

    Reason for the cancellation.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • cancelStatus string

      Cancellation Status

      Cancellation Status Cancellation Value
      Cancellation is in SuccessSUCCESS
      Cancellation is in FailedFAILED

    • currencyCode string

      Currency code of the refundAmount

    • refundAmount string

      The amount to be refunded to the customer after cancellation. Decimal value represented as string to preserve precision.

  • 400 application/json

    Client Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        4025 Missing Mandatory Parameter - LM Reservation ID
        4031 Reservation already cancelled
        4032 Unable to Cancel the reservation, Please Try Again
        4033 Cancel Penalty is Not Available
        4034 Reservation does not exist
        4036 Reason for Cancel is Mandatory

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500 An unexpected error occurred. Please try again later.

POST /v1/reservation/cancel
curl \
 --request POST 'https://partner.momorooms.com/v1/reservation/cancel' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"reservationId":42,"cancelReason":"string"}'
Request examples
{
  "reservationId": 42,
  "cancelReason": "string"
}
Response examples (200)
{
  "cancelStatus": "string",
  "currencyCode": "string",
  "refundAmount": "string"
}
Response examples (400)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}